Package: org.apache.groovy.json.internal

## [Java] Class ValueContainer

- org.apache.groovy.json.internal.ValueContainer

- All Implemented Interfaces and Traits:
    CharSequence, Value

      public class ValueContainer
      extends Object
      implements CharSequence, Value

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Value` | `FALSE` |
    `static Value` | `NULL` |
    `static Value` | `TRUE` |
    `boolean` | `decodeStrings` |
    `Type` | `type` |
    `Object` | `value` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ValueContainer(Object value, Type type, boolean decodeStrings)`
    `ValueContainer(Type type)`
    `ValueContainer(Map<String, Object> map)`
    `ValueContainer(List<Object> list)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BigDecimal` | `bigDecimalValue()`
    `` | `public BigInteger` | `bigIntegerValue()`
    `` | `public boolean` | `booleanValue()`
    `` | `public byte` | `byteValue()`
    `` | `public char` | `charAt(int index)`
    `` | `public char` | `charValue()`
    `` | `public void` | `chop()`
    `` | `public Date` | `dateValue()`
    `` | `public double` | `doubleValue()`
    `` | `public float` | `floatValue()`
    `` | `public int` | `intValue()`
    `` | `public boolean` | `isContainer()`
    `` | `public int` | `length()`
    `` | `public long` | `longValue()`
    `` | `public short` | `shortValue()`
    `` | `public String` | `stringValue()`
    `` | `public String` | `stringValueEncoded()`
    `` | `public CharSequence` | `subSequence(int start, int end)`
    `<T extends Enum>` | `public T` | `toEnum(Class<T> cls)`
    `` | `public String` | `toString()`
    `` | `public Object` | `toValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final Value FALSE

    - #### public static final Value NULL

    - #### public static final Value TRUE

    - #### public boolean decodeStrings

    - #### public Type type

    - #### public Object value

  - ### Constructor Detail

    - #### public ValueContainer(Object value, Type type, boolean decodeStrings)

    - #### public ValueContainer(Type type)

    - #### public ValueContainer(Map<String, Object> map)

    - #### public ValueContainer(List<Object> list)

  - ### Method Detail

    - #### @Override
      public BigDecimal bigDecimalValue()

    - #### @Override
      public BigInteger bigIntegerValue()

    - #### @Override
      public boolean booleanValue()

    - #### @Override
      public byte byteValue()

    - #### @Override
      public char charAt(int index)

    - #### @Override
      public char charValue()

    - #### @Override
      public void chop()

    - #### @Override
      public Date dateValue()

    - #### @Override
      public double doubleValue()

    - #### @Override
      public float floatValue()

    - #### @Override
      public int intValue()

    - #### @Override
      public boolean isContainer()

    - #### @Override
      public int length()

    - #### @Override
      public long longValue()

    - #### @Override
      public short shortValue()

    - #### @Override
      public String stringValue()

    - #### @Override
      public String stringValueEncoded()

    - #### @Override
      public CharSequence subSequence(int start, int end)

    - #### <T extends Enum> @Override
      @SuppressWarnings("unchecked")
      public T toEnum(Class<T> cls)

    - #### @Override
      public String toString()

    - #### @Override
      public Object toValue()